
#include <boost/lexical_cast.hpp>

#include "Mosquito.h"

Mosquito::Mosquito(Gosu::Graphics& graphics, int posX, int posY)
{
	posX_ = posX;
	posY_ = posY;
	width_ = 70;
	height_ = 20;
	
	muerto_ = false;	
	mover_.first = mover_.second = 0;

	movimiento_.push_back(new Gosu::Image(graphics, L"../graficos/mosquito1.png"));
	movimiento_.push_back(new Gosu::Image(graphics, L"../graficos/mosquito2.png"));
}


Mosquito::~Mosquito()
{
	
}

void Mosquito::draw(int x, int y, int z)
{
	movimiento_[mover_.first]->draw(x,y,z);
}

void Mosquito::muerto(bool valor)
{
	muerto_ = valor;
}

bool Mosquito::muerto() const
{
	return muerto_;
}


int Mosquito::posX() const
{
   return posX_;
}

int Mosquito::posY() const
{
   return posY_;
}

int Mosquito::width() const
{
   return width_;
}

int Mosquito::height() const
{
   return height_;
}


vector<Gosu::Image*>& Mosquito::movimiento()
{
	return movimiento_;
}

pair<int,int> Mosquito::mover() const
{
	return mover_;
}

pair<int,int>& Mosquito::mover()
{
	return mover_;
}


